import request from '@/utils/request'

// 查询数据结果列表
export function listDataResults(query) {
  return request({
    url: '/meas/dataResults/list',
    method: 'get',
    params: query
  })
}

// 查询数据结果详细
export function getDataResults(id) {
  return request({
    url: '/meas/dataResults/' + id,
    method: 'get'
  })
}

// 新增数据结果
export function addDataResults(data) {
  return request({
    url: '/meas/dataResults',
    method: 'post',
    data: data
  })
}

// 修改数据结果
export function updateDataResults(data) {
  return request({
    url: '/meas/dataResults',
    method: 'put',
    data: data
  })
}

// 删除数据结果
export function delDataResults(id) {
  return request({
    url: '/meas/dataResults/' + id,
    method: 'delete'
  })
}
